Package org.flowable.engine.migration

# Interface ProcessInstanceMigrationManager

public interface ProcessInstanceMigrationManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Batch`
  `batchMigrateProcessInstancesOfProcessDefinition(String procDefKey, int procDefVer, String procDefTenantId, ProcessInstanceMigrationDocument document, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)`
  `Batch`
  `batchMigrateProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument document, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)`
  `void`
  `migrateProcessInstance(String processInstanceId, ProcessInstanceMigrationDocument document, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)`
  `void`
  `migrateProcessInstancesOfProcessDefinition(String procDefKey, int procDefVer, String procDefTenantId, ProcessInstanceMigrationDocument document, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)`
  `void`
  `migrateProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument document, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)`
  `ProcessInstanceMigrationValidationResult`
  `validateMigrateProcessInstance(String processInstanceId, ProcessInstanceMigrationDocument processInstanceMigrationDocument, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)`
  `ProcessInstanceMigrationValidationResult`
  `validateMigrateProcessInstancesOfProcessDefinition(String processDefinitionKey, int processDefinitionVersion, String processDefinitionTenant, ProcessInstanceMigrationDocument processInstanceMigrationDocument, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)`
  `ProcessInstanceMigrationValidationResult`
  `validateMigrateProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument processInstanceMigrationDocument, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)`

- ## Method Details

  - ### validateMigrateProcessInstancesOfProcessDefinition

    ProcessInstanceMigrationValidationResult validateMigrateProcessInstancesOfProcessDefinition(String processDefinitionKey, int processDefinitionVersion, String processDefinitionTenant, ProcessInstanceMigrationDocument processInstanceMigrationDocument, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)

  - ### validateMigrateProcessInstancesOfProcessDefinition

    ProcessInstanceMigrationValidationResult validateMigrateProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument processInstanceMigrationDocument, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)

  - ### validateMigrateProcessInstance

    ProcessInstanceMigrationValidationResult validateMigrateProcessInstance(String processInstanceId, ProcessInstanceMigrationDocument processInstanceMigrationDocument, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)

  - ### migrateProcessInstance

    void migrateProcessInstance(String processInstanceId, ProcessInstanceMigrationDocument document, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)

  - ### migrateProcessInstancesOfProcessDefinition

    void migrateProcessInstancesOfProcessDefinition(String procDefKey, int procDefVer, String procDefTenantId, ProcessInstanceMigrationDocument document, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)

  - ### migrateProcessInstancesOfProcessDefinition

    void migrateProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument document, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)

  - ### batchMigrateProcessInstancesOfProcessDefinition

    Batch batchMigrateProcessInstancesOfProcessDefinition(String procDefKey, int procDefVer, String procDefTenantId, ProcessInstanceMigrationDocument document, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)

  - ### batchMigrateProcessInstancesOfProcessDefinition

    Batch batchMigrateProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument document, org.flowable.common.engine.impl.interceptor.CommandContext commandContext)